---
triple:          'arm64-apple-darwin'
binary-path:     dicpi
relocations:
  - { offsetInCU: 0x26, offset: 0x26, size: 0x8, addend: 0x0, symName: _main, symObjAddr: 0x0, symBinAddr: 0x100001608, symSize: 0x15C }
  - { offsetInCU: 0x3F, offset: 0x3F, size: 0x8, addend: 0x0, symName: _BUFFER_SIZE, symBinAddr: 0x100008010, symSize: 0x0 }
  - { offsetInCU: 0x5B, offset: 0x5B, size: 0x8, addend: 0x0, symName: _super, symBinAddr: 0x100008018, symSize: 0x0 }
  - { offsetInCU: 0x171, offset: 0x171, size: 0x8, addend: 0x0, symName: _main, symObjAddr: 0x0, symBinAddr: 0x100001608, symSize: 0x15C }
  - { offsetInCU: 0x26, offset: 0x394, size: 0x8, addend: 0x0, symName: _ls, symObjAddr: 0x0, symBinAddr: 0x100001764, symSize: 0x34 }
  - { offsetInCU: 0x3F, offset: 0x3AD, size: 0x8, addend: 0x0, symName: _SINGLE_INDIRECT, symObjAddr: 0x2160, symBinAddr: 0x100008000, symSize: 0x0 }
  - { offsetInCU: 0x5B, offset: 0x3C9, size: 0x8, addend: 0x0, symName: _DOUBLE_INDIRECT, symObjAddr: 0x2164, symBinAddr: 0x100008004, symSize: 0x0 }
  - { offsetInCU: 0x70, offset: 0x3DE, size: 0x8, addend: 0x0, symName: _TRIPLE_INDIRECT, symObjAddr: 0x2168, symBinAddr: 0x100008008, symSize: 0x0 }
  - { offsetInCU: 0x8D, offset: 0x3FB, size: 0x8, addend: 0x0, symName: _ls, symObjAddr: 0x0, symBinAddr: 0x100001764, symSize: 0x34 }
  - { offsetInCU: 0xB2, offset: 0x420, size: 0x8, addend: 0x0, symName: _lsLong, symObjAddr: 0x34, symBinAddr: 0x100001798, symSize: 0xE0 }
  - { offsetInCU: 0xF3, offset: 0x461, size: 0x8, addend: 0x0, symName: _getINode, symObjAddr: 0x114, symBinAddr: 0x100001878, symSize: 0xAC }
  - { offsetInCU: 0x15D, offset: 0x4CB, size: 0x8, addend: 0x0, symName: _printPermission, symObjAddr: 0x1C0, symBinAddr: 0x100001924, symSize: 0x228 }
  - { offsetInCU: 0x19D, offset: 0x50B, size: 0x8, addend: 0x0, symName: _printTime, symObjAddr: 0x400, symBinAddr: 0x100001B64, symSize: 0x98 }
  - { offsetInCU: 0x1EB, offset: 0x559, size: 0x8, addend: 0x0, symName: _getFileBlock, symObjAddr: 0x498, symBinAddr: 0x100001BFC, symSize: 0x234 }
  - { offsetInCU: 0x273, offset: 0x5E1, size: 0x8, addend: 0x0, symName: _writeFileBlock, symObjAddr: 0x6CC, symBinAddr: 0x100001E30, symSize: 0x2B8 }
  - { offsetInCU: 0x34A, offset: 0x6B8, size: 0x8, addend: 0x0, symName: _makeDIndirect, symObjAddr: 0x984, symBinAddr: 0x1000020E8, symSize: 0x110 }
  - { offsetInCU: 0x3D8, offset: 0x746, size: 0x8, addend: 0x0, symName: _makeTIndirect, symObjAddr: 0xA94, symBinAddr: 0x1000021F8, symSize: 0x164 }
  - { offsetInCU: 0x493, offset: 0x801, size: 0x8, addend: 0x0, symName: _checkIfFileMatchesFileName, symObjAddr: 0xBF8, symBinAddr: 0x10000235C, symSize: 0xB0 }
  - { offsetInCU: 0x4E2, offset: 0x850, size: 0x8, addend: 0x0, symName: _getFileContents, symObjAddr: 0xCA8, symBinAddr: 0x10000240C, symSize: 0x1E0 }
  - { offsetInCU: 0x57A, offset: 0x8E8, size: 0x8, addend: 0x0, symName: _getFiles, symObjAddr: 0xE88, symBinAddr: 0x1000025EC, symSize: 0x29C }
  - { offsetInCU: 0x65F, offset: 0x9CD, size: 0x8, addend: 0x0, symName: _findSuperBlock, symObjAddr: 0x1124, symBinAddr: 0x100002888, symSize: 0xF8 }
  - { offsetInCU: 0x69F, offset: 0xA0D, size: 0x8, addend: 0x0, symName: _write_helloworld, symObjAddr: 0x121C, symBinAddr: 0x100002980, symSize: 0x2F0 }
  - { offsetInCU: 0x776, offset: 0xAE4, size: 0x8, addend: 0x0, symName: _writeInode, symObjAddr: 0x150C, symBinAddr: 0x100002C70, symSize: 0x174 }
  - { offsetInCU: 0x81C, offset: 0xB8A, size: 0x8, addend: 0x0, symName: _writeDataToImage, symObjAddr: 0x1680, symBinAddr: 0x100002DE4, symSize: 0xE4 }
  - { offsetInCU: 0x89E, offset: 0xC0C, size: 0x8, addend: 0x0, symName: _claimBlock, symObjAddr: 0x1764, symBinAddr: 0x100002EC8, symSize: 0x1B4 }
  - { offsetInCU: 0x903, offset: 0xC71, size: 0x8, addend: 0x0, symName: _claimNode, symObjAddr: 0x1918, symBinAddr: 0x10000307C, symSize: 0x1D0 }
  - { offsetInCU: 0x968, offset: 0xCD6, size: 0x8, addend: 0x0, symName: _makePtrs, symObjAddr: 0x1AE8, symBinAddr: 0x10000324C, symSize: 0xC8 }
  - { offsetInCU: 0x9C9, offset: 0xD37, size: 0x8, addend: 0x0, symName: _writeFileToImage, symObjAddr: 0x1BB0, symBinAddr: 0x100003314, symSize: 0x19C }
  - { offsetInCU: 0xA7C, offset: 0xDEA, size: 0x8, addend: 0x0, symName: _updateRotDir, symObjAddr: 0x1D4C, symBinAddr: 0x1000034B0, symSize: 0x1F0 }
  - { offsetInCU: 0xB4A, offset: 0xEB8, size: 0x8, addend: 0x0, symName: _getInodeRedirectBlock, symObjAddr: 0x1F3C, symBinAddr: 0x1000036A0, symSize: 0x224 }
  - { offsetInCU: 0x26, offset: 0x14EA, size: 0x8, addend: 0x0, symName: _driver_attach_disk_image, symObjAddr: 0x0, symBinAddr: 0x1000038C4, symSize: 0x6C }
  - { offsetInCU: 0x4D, offset: 0x1511, size: 0x8, addend: 0x0, symName: _fd, symBinAddr: 0x100008024, symSize: 0x0 }
  - { offsetInCU: 0x69, offset: 0x152D, size: 0x8, addend: 0x0, symName: _blksize, symBinAddr: 0x100008020, symSize: 0x0 }
  - { offsetInCU: 0x72, offset: 0x1536, size: 0x8, addend: 0x0, symName: _driver_attach_disk_image, symObjAddr: 0x0, symBinAddr: 0x1000038C4, symSize: 0x6C }
  - { offsetInCU: 0xA4, offset: 0x1568, size: 0x8, addend: 0x0, symName: _driver_detach_disk_image, symObjAddr: 0x6C, symBinAddr: 0x100003930, symSize: 0x20 }
  - { offsetInCU: 0xB9, offset: 0x157D, size: 0x8, addend: 0x0, symName: _driver_read, symObjAddr: 0x8C, symBinAddr: 0x100003950, symSize: 0xC0 }
  - { offsetInCU: 0xEB, offset: 0x15AF, size: 0x8, addend: 0x0, symName: _driver_write, symObjAddr: 0x14C, symBinAddr: 0x100003A10, symSize: 0xC0 }
  - { offsetInCU: 0x26, offset: 0x161F, size: 0x8, addend: 0x0, symName: _set_bit_unit, symObjAddr: 0x0, symBinAddr: 0x100003AD0, symSize: 0x40 }
  - { offsetInCU: 0x33, offset: 0x162C, size: 0x8, addend: 0x0, symName: _set_bit_unit, symObjAddr: 0x0, symBinAddr: 0x100003AD0, symSize: 0x40 }
  - { offsetInCU: 0x73, offset: 0x166C, size: 0x8, addend: 0x0, symName: _clear_bit_unit, symObjAddr: 0x40, symBinAddr: 0x100003B10, symSize: 0x40 }
  - { offsetInCU: 0xB3, offset: 0x16AC, size: 0x8, addend: 0x0, symName: _get_bit_unit, symObjAddr: 0x80, symBinAddr: 0x100003B50, symSize: 0x44 }
  - { offsetInCU: 0xF7, offset: 0x16F0, size: 0x8, addend: 0x0, symName: _set_bit, symObjAddr: 0xC4, symBinAddr: 0x100003B94, symSize: 0x4C }
  - { offsetInCU: 0x145, offset: 0x173E, size: 0x8, addend: 0x0, symName: _clear_bit, symObjAddr: 0x110, symBinAddr: 0x100003BE0, symSize: 0x4C }
  - { offsetInCU: 0x193, offset: 0x178C, size: 0x8, addend: 0x0, symName: _get_bit, symObjAddr: 0x15C, symBinAddr: 0x100003C2C, symSize: 0x4C }
  - { offsetInCU: 0x1E5, offset: 0x17DE, size: 0x8, addend: 0x0, symName: _first_cleared, symObjAddr: 0x1A8, symBinAddr: 0x100003C78, symSize: 0x160 }
...
